gcc_arm.h File Reference

Go to the source code of this file.

## Macros

#define | __TBB_Pause(V) __TBB_machine_pause(V)

## Functions

void | __TBB_machine_pause (int32_t delay)

## Macro Definition Documentation

## __TBB_Pause

#define __TBB_Pause | ( |  | V | ) | __TBB_machine_pause(V)

Definition at line 216 of file gcc_arm.h.

## Function Documentation

## __TBB_machine_pause()

void __TBB_machine_pause | ( | int32_t | delay | ) |

inline

Definition at line 208 of file gcc_arm.h.

{
while(delay>0)
{
__asm__ __volatile__("yield" ::: "memory");
delay--;
}
}

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.